Subject: RE: draft of draft-ietf-gsmp-msf-response-00.txt

From: [email-masked]
Date: Thu, 19 Aug 1999 08:33:13 +0300

From: EXT Joachim Buerkle [mailto:[email-masked]]
> 
> >>Requirement #39:       The SCI shall support the 
> termination of virtual paths
> (splitting a VP into VCs) as per I.311.
> >>GSMPv3 compliance:     E. requirement needs further explanation.
> 
> ST: In my view GSMP supports this, since I think this is 
> related to the following
> text in
> [I.311] Recommendation I.311 (08/96) - B-ISDN general network aspects
> (http://www.itu.int/itudoc/itu-t/rec/i/index.html)
> "When VCs are switched, the VPC supporting the incoming VC 
> links must be terminated
> first and a new outgoing VPC must be created. Cell sequence 
> integrity is preserved as
> defined in clause 2/I.150 by the ATM layer for cells 
> belonging to the same VPC. Thus
> cell sequence integrity is preserved for each VC link within a VPC."
> 

i think gsmp supports this. since gsmp is not directly
interested in any signalling issues there is only the
cell switching to consider. gsmp supports vpc termination
in exactly the same way that it supports cell switching
on the vpi/vci. gsmp makes no distinction here.

for example, lets take a simple scenario. let's use 
a terminology of (port:vpi:vci->port:vpi:vci) to
represent gsmp branches. now, let's add the
following:

  (2:0:40->5:20:1)  and  (5:20:1->2:0:40)
  (7:0:51->5:20:2)  and  (5:20:2->7:0:51)
  (8:0:77->5:20:3)  and  (5:20:3->8:0:77)

at the switch adjacent to this one's port 5 we
switch the vpi=20 as a vpc, e.g. we add vpc
branches (5:20:*->12:18:*) and (12:18:*->5:20:*). 
as far as cell switching is concerned we have 
terminated the vpc. 

as you can see from this example, from gsmp's
point of view, vpc termination is no different
from vcc switching. so while vpc termination is
not visible in the protocol, it is supported.

c u
fsb